Program  main
Use comm
Implicit None
Integer :: maxin

rwcount=1
Write (*,*) "main: Start"
Call GetArg(1, input_file)
Call readin
Call connectivity_table(ny,nz,nv,connect,ijk)

tstep = tstep_max
Do mm=1,maxtit
  Write(*,*) "main: Starting loop", mm
  Call amft
  maxin = 4
  Do innerloop=1,maxin
    Write(*,*) "main: Starting inner", innerloop
    Call poiss
  End Do
  t=t+tstep
  timekeep(mm) = t
  Write(*,*) "Main: time is  now", t
End Do

Call rwdata(2)
End Program main
